package model

import (
	"time"
)

type TaCourse struct {
	CourseId    string    `xorm:"not null pk VARCHAR(64)"`
	CourseName  string    `xorm:"VARCHAR(50)"`
	Price       string    `xorm:"DECIMAL(8,2)"`
	OrgId       string    `xorm:"VARCHAR(64)"`
	CaseId      string    `xorm:"VARCHAR(64)"`
	LocationId  string    `xorm:"VARCHAR(64)"`
	CourseNum   int       `xorm:"INT(11)"`
	ScheduleNum int       `xorm:"INT(11)"`
	MaxNum      int       `xorm:"INT(11)"`
	MinNum      int       `xorm:"INT(11)"`
	BeginDate   time.Time `xorm:"DATETIME"`
	EndDate     time.Time `xorm:"DATETIME"`
	CourseImg   string    `xorm:"TEXT"`
	CourseDesc  string    `xorm:"VARCHAR(500)"`
	Remark      string    `xorm:"TEXT"`
	IsSelect    int       `xorm:"TINYINT(1)"`
	Status      int       `xorm:"SMALLINT(6)"`
	CreateDate  time.Time `xorm:"DATETIME"`
	CreateUser  string    `xorm:"VARCHAR(64)"`
	SignupNum   int       `xorm:"INT(11)"`
}
